Summary:	Utilities for configuring ISA Plug-and-Play (PnP) devices
Name:		isapnptools
Version:	1.24
Release:	2mdk
Copyright:	GPL
Group:		System/Configuration/Hardware
Source:		ftp://ftp.demon.co.uk/pub/unix/linux/utils/isapnptools-%{version}.tar.bz2
Patch:		isapnptools-rpm.patch.bz2
Patch1:		isapnptools-demo2.patch.bz2
Patch2:		isapnptools-pnpdump_main.patch.bz2

ExclusiveArch: i386 i486 i586 i686 k6 k7 alpha
BuildRoot:	%{_tmppath}/isapnptools-root

%description
The isapnptools package contains utilities for configuring ISA
Plug-and-Play (PnP) cards which are in compliance with the PnP ISA
Specification Version 1.0a.  ISA PnP cards use registers instead of
jumpers for setting the board address and interrupt assignments.  The
cards also contain descriptions of the resources which need to be
allocated.  The BIOS on your system, or isapnptools, uses a protocol
described in the specification to find all of the PnP boards and
allocate the resources so that none of them conflict.

Note that the BIOS doesn't do a very good job of allocating resources.
So isapnptools is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications.  A
PnP BIOS may already activate some cards so that the drivers can find
them.  Then these tools can unconfigure them or change their settings,
causing all sorts of nasty effects. If you have PnP network cards that
already work, you should read through the documentation files very
carefully before you use isapnptools.

Install isapnptools if you need utilities for configuring ISA PnP
cards.

%package devel
Summary:	Devel librairies for configuring ISA Plug-and-Play (PnP) devices
Group:		Development/C

%description devel
The isapnptools package contains utilities for configuring ISA
Plug-and-Play (PnP) cards which are in compliance with the PnP ISA
Specification Version 1.0a.  ISA PnP cards use registers instead of
jumpers for setting the board address and interrupt assignments.  The
cards also contain descriptions of the resources which need to be
allocated.  The BIOS on your system, or isapnptools, uses a protocol
described in the specification to find all of the PnP boards and
allocate the resources so that none of them conflict.

Note that the BIOS doesn't do a very good job of allocating resources.
So isapnptools is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications.  A
PnP BIOS may already activate some cards so that the drivers can find
them.  Then these tools can unconfigure them or change their settings,
causing all sorts of nasty effects. If you have PnP network cards that
already work, you should read through the documentation files very
carefully before you use isapnptools.

Install isapnptools-devel if you need to do development with ISA PnP
cards.

%prep
%setup -q
%patch1 -p1
#%patch2 -p1

%build
%configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
perl -pi -e "s/^\([^#]\)/#\1/" etc/isapnp.gone
%ifarch alpha
perl -pi -e "s/#IRQ 7/IRQ 7/" etc/isapnp.gone
%endif 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{sbin,usr/share/man/man5,usr/share/man/man8,etc}
%makeinstall 
install -m644 etc/isapnp.gone $RPM_BUILD_ROOT%{_sysconfdir}
# damn recalcitrant sob
cp -af $RPM_BUILD_ROOT%{_sbindir}/* $RPM_BUILD_ROOT/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc [A-Z][A-Z]* doc
%doc config-scripts/YMH0021
%config(missingok) %attr(0644,root,root) /etc/isapnp.gone
/sbin/*
%{_mandir}/man*/*


%files devel
%defattr(-,root,root,755)
%{_libdir}/*.a
%{_includedir}/isapnp

%changelog

* Fri Jan 12 2001 Francis Galiegue <fg@mandrakesoft.com> 1.24-2mdk

- File list fixes
- Fix typo in description

* Mon Jan 08 2001 Geoff <snailtalk@mandrakesoft.com> 1.24-1mdk
- new and shiny source.
- fix the patches so they apply as patchlevel 1.
- use of %%configure.

* Tue Jul 25 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.22-2mdk
-Updated %files section.

* Fri Jun 23 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.22-1mdk
- 1.22
- pnpdump_main.c compilation fix.
- demo2 compilation fix.
- headers in /usr/include/isapnp now.

* Mon Apr 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.21-4mdk
- Add missing x86 archs
- Use %%{_tmppath} for BuildRoot

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.21-3mdk
- adjust group cleanup man pages (pixel ;-))

* Wed Jan 26 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- Patch 1.21b

* Mon Dec 07 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.21
- Removed obsolete patch.
- Patch 1.21a

* Mon Dec 07 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added some others headers files.
- Added README.lib

* Mon Dec 06 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added pnp-access.h

* Mon Dec 6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add devel package.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.20.

* Tue Nov 2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove %post.
- Merge with rh patchs.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.19.

* Tue Sep 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove my patch and add the official patch.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to don't make Check by default.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Feb 16 1999 Bill Nottingham <notting@redhat.com>
- update to version 1.18

* Wed Nov 11 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.17

* Mon Nov  2 1998 Bill Nottingham <notting@redhat.com>
- add /etc/isapnp.gone
- default to not using IRQ 7 on alpha

* Mon Oct 12 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.16

* Mon Oct  5 1998 Bill Nottingham <notting@redhat.com>
- add %post to twiddle readport of old /etc/isapnp.conf files

* Thu Sep 24 1998 Bill Nottingham <notting@redhat.com>
- fixed spec file so it rebuild cleanly

* Fri Aug 07 1998 Bill Nottingham <notting@redhat.com>
- added patch to bump to 1.15a

* Tue Aug 04 1998 Bill Nottingham <notting@redhat.com>
- updated to version 1.15

* Fri Oct 03 1997 Michael Fulbright <msf@redhat.com>
- added code to avoid probing in IO port ranges in /proc/ioports

* Fri Aug 22 1997 Mike Wangsmo <wanger@redhat.com>
- Built against glibc

* Thu Jul 17 1997 Timo Karjalainen <timok@iki.fi>
- Updated to version 1.11
- Added RPM_OPT_FLAGS
- Uses BuildRoot
